Skip to main content
GET
/
agents
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/agents \
  --header 'Authorization: Bearer <token>'
{
  "nextToken": "<string>",
  "agents": [
    {
      "updatedTime": "<string>",
      "agentId": "<string>",
      "metadata": {},
      "updatedBy": "<string>",
      "createdBy": "<string>",
      "name": "<string>",
      "createdTime": "<string>",
      "description": "<string>",
      "id": "<string>",
      "resourceIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

nextToken
string
maxResults
string

Response

200 response

nextToken
string | null
required
Maximum string length: 4096
agents
object[]
required